Note: this documentation is a work in progress.

# Block-based navigation editor

The Block-based Navigation Editor brings the power of blocks to the Appearance > Navigation section in the WordPress Administration Screens allowing you use blocks to create menus.

## How to use the editor

The interface replicates the Post Editor experience, allowing you to use similar workflows like drag and drop.

The editor provides access to any menus created using the previous Menus screen in WordPress.

New menus can easily be created, options are provided to do so in a few different ways:
* from an existing page hierarchy
* by copying an existing menu
* by creating a blank menu


Rather than the paragraph being the go-to block, the Navigation Editor provides a link block for creating links to different types of items. Page, post, tag, category and custom links can all be created. Links can be nested to create sub-menus.

### How to create a menu

1. At the top of the editor select 'New menu'.
2. Type the name of your menu.
3. Choose a starting option of either 'Start blank', 'Add all pages', or 'Copy existing menu'.

### How to insert a link

If you'd like to link to a page, post, tag, or category:

1. Click one of the `+` buttons.
2. Select the type of link you want to add.
3. Use the dialog to search for the item you want to link to.

For a custom link:

1. Click one of the `+` buttons.
2. Select the 'Custom Link' block.
3. Using the dialog that appears, type in a URL and press 'Enter'.

### How to insert a submenu

There are two ways to insert a submenu.

The first option is to create a new submenu from scratch:

1. Click one of the `+` buttons.
2. Select the 'Submenu' block.
3. (Optional) Add a URL for the submenu.
4. Use the nested `+` button in the submenu to add blocks in the submenu

Alternatively, an existing link can be converted into a submenu:

1. Select an existing link block.
2. From the toolbar, select the 'Add submenu' button.

### How to rename a menu

1. If the settings sidebar isn't visible, click the 'Settings' button in the top-right corner of the screen.
2. Select the 'Menu' tab.
3. Use the name field at the top of the sidebar to rename a menu.
4. Save any changes.

### Assigning a menu to a theme location

A theme location designates the part of your site that a menu is displayed. To assign, change or unassign a theme location.

1. If the settings sidebar isn't visible, click the 'Settings' button in the top-right corner of the screen.
2. Select the 'Menu' tab.
3. Use the Theme Locations panel to select which locations the menu should be assigned to.
4. Save any changes.

For an overview of which menus are assigned to which locations, use the 'Manage locations' button in the same part of the screen.

### Deleting a menu

1. Choose a menu to delete using the menu selector in the middle of the editor's header.
2. If the settings sidebar isn't visible, click the 'Settings' button in the top-right corner of the screen.
3. Select the 'Menu' tab.
4. Click the 'Delete menu' button.

### How to opt-in or out of using the block-based navigation editor

1. From WordPress admin, select the Gutenberg > Experiments option.
2. Uncheck the tickbox to disable the editor or check it to enable it.
3. Save changes.
